/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.DatosCosultoresCompletos;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface DatosCosultoresCompletosFacadeLocal {

    void create(DatosCosultoresCompletos datosCosultoresCompletos);

    void edit(DatosCosultoresCompletos datosCosultoresCompletos);

    void remove(DatosCosultoresCompletos datosCosultoresCompletos);

    DatosCosultoresCompletos find(Object id);

    List<DatosCosultoresCompletos> findAll();

    List<DatosCosultoresCompletos> findRange(int[] range);

    int count();

    DatosCosultoresCompletos busquedaDato(String consultorCodigo);

    DatosCosultoresCompletos busquedaDatoAbono(String consultorCodigo);


}
